<?xml version="1.0" encoding="utf-8"?>
<html>
<head><title>ome.api</title>
    <!--
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    #
    # $Id$
    #
    # Copyright 2006 University of Dundee. All rights reserved.
    # Use is subject to license terms supplied in LICENSE.txt
    #
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    -->
</head>
<body bgcolor="white">

Contains the central verbs of the Omero System.

<p>
    The API as outlined by this package will be made available to all
    programming languages supported by Omero. Other "local" apis are available
    for server only programming.
</p>

<p>
    The interfaces contained here are also specially marked in order to allow
    special processing by the container. StatefulServiceInterface, for example,
    allows for the triggering of container events on creation and destruction
    of a non-singleton service.
</p>

<h2>Related Documentation</h2>

For more information, please see:
<ul>
    <li>
        <a href="http://docs.openmicroscopy.org/latest/omero/developers/index.html">
            OmeroApi</a>
    </li>
</ul>
</body>
</html>
